Product

Get product categories.

get

This endpoint retrieves product categories.

Path parameters
idintegerRequired

Optional parameter. optional The ID of the specific category to retrieve.

Example: {"summary":"When the value is omitted","value":""}
Header parameters
X-Shipment-ModestringOptionalExample: SFN
Responses
chevron-right
200Success
application/json
successbooleanOptionalExample: true
status_codeintegerOptionalExample: 200
messagestringOptionalExample: Product categories retrieved successfully
get
/api/v1/product/categories/{id}

Search products.

get

This endpoint searches for products.

Path parameters
valuestringRequired

The search term for products.

Example: smartphone
Header parameters
X-Shipment-ModestringOptionalExample: SFN
Responses
chevron-right
200Success
application/json
successbooleanOptionalExample: true
status_codeintegerOptionalExample: 200
messagestringOptionalExample: Product search completed successfully
get
/api/v1/product/search/{value}

Verify product.

post

This endpoint verifies a product using its HS code.

Header parameters
X-Shipment-ModestringOptionalExample: SFN
Body
hs_codestringRequired

The HS code of the product to verify.

Example: 0101210000
Responses
chevron-right
200Success
application/json
successbooleanOptionalExample: true
status_codeintegerOptionalExample: 200
messagestringOptionalExample: Product verified successfully
post
/api/v1/product/verify

Get products.

get

This endpoint retrieves products.

Path parameters
idintegerRequired

Optional parameter. optional The ID of the specific product to retrieve.

Example: {"summary":"When the value is omitted","value":""}
Header parameters
X-Shipment-ModestringOptionalExample: SFN
Responses
chevron-right
200Success
application/json
successbooleanOptionalExample: true
status_codeintegerOptionalExample: 200
messagestringOptionalExample: Products retrieved successfully
get
/api/v1/product/{id}

Last updated